Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.dsp.management
Interface DomainService

All Known Subinterfaces:
  BroadcastingDomainServiceMBean, DomainServiceMBean

    public interface DomainService

This is the top level service entry for an ALDSP domain. It may be used to manage:

- Dataspaces
- Sessions

Method Summary
`void` | `activateDataSpace(java.lang.String dataSpaceName, ActivationOptions options)` Activates the client request handlers for the specified data space in test or full operation mode.
`void` | `activateDeploymentSession(java.lang.String sessionName)` Activates the specified user-defined session.
`void` | `createDataSpace(java.lang.String dataSpaceName, java.util.Set<DeploymentTarget> deploymentTarget)` Creates a new data space on the specified set of deployment targets.
`javax.management.ObjectName` | `createDeploymentSession(java.lang.String sessionName)` Creates a new user-defined, deployment session in this domain.
`void` | `deactivateDataSpace(java.lang.String dataSpaceName, DeactivationOptions options)` Deactivates the client request handlers for the specified dataspace.
`void` | `deleteDataSpace(java.lang.String dataSpaceName)` Deletes a data space.
`java.util.Collection<java.lang.String>` | `discardAllSessions()` Attempts to discard all pending, user-defined or system-defined, sessions.
`void` | `discardDeploymentSession(java.lang.String sessionName)` Discards the specified user-defined session.
`javax.management.ObjectName` | `getCoreSession()`
`java.util.Map<java.lang.String,javax.management.ObjectName>` | `getCurrentDeploymentSessions()`
`java.util.Set<DeploymentTarget>` | `getDeployedTargets(java.lang.String dataSpaceName)`
`java.util.Map<DeploymentTarget,DeploymentStatus>` | `getDeploymentStatus(java.lang.String dataspaceName)`
`DomainSettings` | `getDomainSettings()`
`java.util.Map<java.lang.Integer,java.lang.Object>` | `getProductVersionInfo()`
`java.util.Set<DeploymentTarget>` | `getTargets()`
`java.util.Set<java.lang.String>` | `listDataSpaceNames()`
`java.util.Set<java.lang.String>` | `listDeploymentSessionNames()`
`java.util.Collection<java.lang.String>` | `obliterateDataSpace(java.lang.String dataSpaceName)` Attempts to completely remove any trace of the specified dataspace from the admin and all managed servers.
`void` | `retargetDataSpace(java.lang.String dataSpaceName, java.util.Set<DeploymentTarget> deploymentTargets)` Deployed targets for the dataspace are changed to the passed set.
`void` | `setDomainSettings(DomainSettings domainSettings)`

Method Detail

### getProductVersionInfo

    java.util.Map<java.lang.Integer,java.lang.Object> getProductVersionInfo()

  Returns:
    map containing information on product version, currently the key VersionHelper.KEY_SERVER_MAGIC set to one of the V_ values in VersionHelper.
  See Also:
    `com.bea.dsp.ejb.VersionHelper`

### setDomainSettings

    void setDomainSettings(DomainSettings domainSettings)

  Parameters:
    `domainSettings` - The new domain settings.

    May not be `null`.

  Exclude:

### getDomainSettings

    DomainSettings getDomainSettings()

  Returns:
    The current domain settings.

    May not be `null`.

  Exclude:

### createDataSpace

    void createDataSpace(java.lang.String dataSpaceName,
                         java.util.Set<DeploymentTarget> deploymentTarget)
                         throws java.lang.Exception

  Creates a new data space on the specified set of deployment targets.

  Creation of a data space involves:

  1. Allocation of the data space repository on admin and managed servers.
  2. Deployment of data space administration artifacts carrying the default configuration settings on admin and managed servers.
  3. Preparation and distribution of data space client request handlers on targeted servers.

  All of the above tasks are executed as an atomic operation: If any of the tasks fails, the effects of the previous tasks are reverted (or compensated) and the operation is a no-op.

  The registration and initialization of data space administration request handlers on the admin server takes place on-demand (lazily).

  Data space creation occurs within a system-defined session provided that no other sessions are present.

  While the data space repository is created and populated on all servers in the domain, the deployment of client request handlers is determined based on the set of deployment targets passed to the call. If the set of deployment targets is `null`, the client request handlers are deployed on all individual server instances in the domain. The client request handlers are not activated until `activateDataSpace()` is called. If the set is empty or contains targets not found in the domain, an exception indicating the problem is thrown.

  Parameters:
    `dataSpaceName` - The name of data space to be created.

    May not be `null`.

    `deploymentTarget` - A set of deployment targets.

    May be `null` but not empty.

  Throws:
    `java.lang.Exception` - The ManagementException instances thrown by this method have one of the following error codes:
    - CANNOT_CREATE_DATASPACE
    - COMPENSATION_FAILED

### deleteDataSpace

    void deleteDataSpace(java.lang.String dataSpaceName)
                         throws java.lang.Exception

  Deletes a data space.

  Deletion of a data space involves:

  1. Deregistration of data space administration request handlers from admin server.
  2. Undeployment of data space client request handlers from targeted servers.
  3. Deletion of data space administration artifacts from admin and managed servers.
  4. Deletion of data space data service definition artifacts from admin and managed servers.

  All of the above tasks are executed as an atomic operation: If any of the tasks fails, the effects of the previous tasks are reverted (or compensated) and the operation is a no-op.

  Data space deletion occurs within a system-defined session provided that no other sessions are present.

  In order for a data space to be deleted, it must first have been deactivated.

  Parameters:
    `dataSpaceName` - The name of data space to be deleted.

    May not be `null`.

  Throws:
    `java.lang.Exception` - The ManagementException instances thrown by this method have one of the following error codes:
    - CANNOT_DELETE_DATASPACE
    - COMPENSATION_FAILED

### obliterateDataSpace

    java.util.Collection<java.lang.String> obliterateDataSpace(java.lang.String dataSpaceName)
                                                               throws java.lang.Exception

  Attempts to completely remove any trace of the specified dataspace from the admin and all managed servers. This includes:
  1. Deregistration of data space administration request handlers from admin server.
  2. Undeployment of data space client request handlers from targeted servers.
  3. Deletion of data space administration artifacts from admin and managed servers.
  4. Deletion of data space data service definition artifacts from admin and managed servers.

  All of the above tasks are executed in a "best-effort" mode: If any of the above steps fails, the rest of the steps are still attempted.

  Data space obliteration occurs within a systen defined session. If any system or user-defined session exists it is discarded.

  If the data space is active, it is first deactivated.

  Parameters:
    `dataSpaceName` - The name of data space to be obliterated. May not be `null`.
  Returns:
    A collection of error messages reflecting the problems (if any) that were encountered during this operation.

    May be empty but not `null`.

  Throws:
    `java.lang.Exception`
  Exclude:

### activateDataSpace

    void activateDataSpace(java.lang.String dataSpaceName,
                           ActivationOptions options)
                           throws java.lang.Exception

  Activates the client request handlers for the specified data space in test or full operation mode. In test mode, the handlers serve request from administrators only. In full operation mode, they serve requests from all clients.

  In order for a data space to be activated in a certain mode, it must have been created or activated in a different mode. An Exception is thrown if a dataspace in CLIENT mode is activated to ADMIN mode. If the intention is to bring the state down to ADMIN, use deactivateDataSpace(dataspaceName, ADMIN).

  Parameters:
    `dataSpaceName` - The name of data space to be activated.

    May not be `null`.

    `options` - Either ADMIN or CLIENT. If `null` it defaults to CLIENT.
  Throws:
    `java.lang.Exception`

### deactivateDataSpace

    void deactivateDataSpace(java.lang.String dataSpaceName,
                             DeactivationOptions options)
                             throws java.lang.Exception

  Deactivates the client request handlers for the specified dataspace. When deactivated to admin mode a dataspace will still be able to handle requests from admin. When in down state, it will not handle any request.

  In order for a data space to be deactivated, it must have been activated.

  Parameters:
    `dataSpaceName` - The name of data space to be deactivated.

    May not be `null`.

    `options` - Either ADMIN or DOWN. If `null` it defaults to DOWN.
  Throws:
    `java.lang.Exception`

### retargetDataSpace

    void retargetDataSpace(java.lang.String dataSpaceName,
                           java.util.Set<DeploymentTarget> deploymentTargets)
                           throws java.lang.Exception

  Deployed targets for the dataspace are changed to the passed set. This might include undeploying the dataspace from some of the previously deployed targets and deploying the dataspace in some new targets.

  Parameters:
    `dataSpaceName` - The name of data space to be retargeted.

    May not be `null`.

    `deploymentTargets` - May not be `null` or empty.
  Throws:
    `java.lang.Exception`

### getDeploymentStatus

    java.util.Map<DeploymentTarget,DeploymentStatus> getDeploymentStatus(java.lang.String dataspaceName)
                                                                         throws java.lang.Exception

  Parameters:
    `dataspaceName` - The name of a data space. May not be `null`.
  Returns:
    A map containing the deployment status of the dataspace on each one of the deployed targets. If the specified dataspace does not exist, it is empty.

    May be empty but not `null`.

  Throws:
    `java.lang.Exception` - If the deployment status cannot be determined.
  See Also:
    `DeploymentStatus`

### getDeployedTargets

    java.util.Set<DeploymentTarget> getDeployedTargets(java.lang.String dataSpaceName)
                                                       throws java.lang.Exception

  Parameters:
    `dataSpaceName` - The name of a data space. May not be `null`.
  Returns:
    The set of all the targets in the domain where the specified dataspace is deployed. If the specified dataspace does not exist, it is empty.

    May be empty but not `null`.

  Throws:
    `java.lang.Exception` - If the targets cannot be determined.

### getTargets

    java.util.Set<DeploymentTarget> getTargets()
                                               throws java.lang.Exception

  Returns:
    The set of all the available targets in the domain.

    May be empty but not `null`.

  Throws:
    `java.lang.Exception` - If the targets cannot be determined.

### listDataSpaceNames

    java.util.Set<java.lang.String> listDataSpaceNames()
                                                       throws java.lang.Exception

  Returns:
    The set of data spaces known to this domain.

    May be empty but not `null`.

  Throws:
    `java.lang.Exception`

### createDeploymentSession

    javax.management.ObjectName createDeploymentSession(java.lang.String sessionName)
                                                        throws java.lang.Exception

  Creates a new user-defined, deployment session in this domain.

  There can be at most one active session at a time.

  Parameters:
    `sessionName` - The session name.

    May not be `null`.

  Returns:
    The object name of the MBean representing the new session.
  Throws:
    `java.lang.Exception` - If:
    - Another user-defined or system-defined session already exists.

### activateDeploymentSession

    void activateDeploymentSession(java.lang.String sessionName)
                                   throws java.lang.Exception

  Activates the specified user-defined session.

  Parameters:
    `sessionName` - May not be `null`.
  Throws:
    `java.lang.Exception`

### discardDeploymentSession

    void discardDeploymentSession(java.lang.String sessionName)
                                  throws java.lang.Exception

  Discards the specified user-defined session.

  Parameters:
    `sessionName` - May not be `null`.
  Throws:
    `java.lang.Exception`

### discardAllSessions

    java.util.Collection<java.lang.String> discardAllSessions()

  Attempts to discard all pending, user-defined or system-defined, sessions.

  Returns:
    A collection of error messages reflecting the problems (if any) that were encountered during this operation.

    May be empty but not `null`.

  Exclude:

### getCurrentDeploymentSessions

    java.util.Map<java.lang.String,javax.management.ObjectName> getCurrentDeploymentSessions()

  Returns:
    The object names of the MBeans providing access to the current user-defined, deployment sessions.

    May be empty but not `null`.

### getCoreSession

    javax.management.ObjectName getCoreSession()

  Returns:
    The object name of the built-in session MBean that provides read-only access to the commited artifacts of all data spaces in the domain.
  Throws:
    `java.lang.Exception`

### listDeploymentSessionNames

    java.util.Set<java.lang.String> listDeploymentSessionNames()

  Returns:
    The names of the currently present, user-defined sessions.

    May be empty but not `null`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 Oracle. All Rights Reserved.